Bug 120145 - Installer fails to detect SATA HDD on via 8237 / K8T800
Summary: Installer fails to detect SATA HDD on via 8237 / K8T800
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL: http://www.iinet.net.au/~mickb/sata_f...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-06 12:18 UTC by Mick Bailey
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 16:05:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/anaconda.log (5.59 KB, text/plain)
2004-04-13 11:49 UTC, Mick Bailey
no flags Details
/tmp/syslog (18.12 KB, text/plain)
2004-04-13 11:50 UTC, Mick Bailey
no flags Details

Description Mick Bailey 2004-04-06 12:18:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
When attempting to instal the x86_64 version of Core 2/Test 2,
Anaconda fails to detect the SATA HDD attached via a VIA 8237 controller.

"No valid devices found. ..."

Attempted installing via driver disk located at
http://www.planetamd64.com/modules/mx_pafiledb/dload.php?action=download&file_id=87
, no luck (no valid device found on driver disk).

Ran with noprobe and manually selected via_sata driver, same response.

Gigabyte GA-K8VNXP
Athlon 64 3000+
Samsung 120GB SATA



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Insert install disc 1 and boot
2.  Run vanilla setup
3.  Installation will halt after partitioning method selection
    

Actual Results:  Dialog "No valid devices found...".  Install stops
and system shuts down cleanly.

Expected Results:  SATA HDD detected and partitioning proceeds.

Additional info:

Drive _was_ correctly detected in Core 1 for AMD64, however the
distribution would not run X on the Radeon 9800Pro.

I'm not a complete Linux newbie, but am by no means an expert, so let
me know if the problem lies between my ears...

regards,

mick

Comment 1 Jeremy Katz 2004-04-06 18:49:14 UTC
Is this doing a hard drive install?

Comment 2 Mick Bailey 2004-04-06 20:58:53 UTC
G'day Jeremy,

This was doing a CD-ROM installation.  However, I'll set up for a hard
drive install and let you kow the results.

Comment 3 Mick Bailey 2004-04-07 12:45:36 UTC
Same issue.  The installer was able to find the disc image on a FAT
partition on the drive (found as /dev/hde), but after installation
type selection the "No valid devices found" problem returned.

Comment 4 Jeremy Katz 2004-04-11 17:54:55 UTC
Hmmm, the image isn't there for me to look at now...

Comment 5 Mick Bailey 2004-04-12 03:06:09 UTC
Many apologies - the curst of case sensitivity strikes again.  The
.PNG should be there now.

Comment 6 Jeremy Katz 2004-04-13 03:45:25 UTC
Hmm, can you switch to tty2 and get the output of list-harddrives? 
Also, if you could copy both /tmp/syslog and /tmp/anaconda.log to a
floppy from there, that would be tremendously helpful.

Comment 7 Mick Bailey 2004-04-13 11:49:19 UTC
Created attachment 99358 [details]
/tmp/anaconda.log

Comment 8 Mick Bailey 2004-04-13 11:50:29 UTC
Created attachment 99359 [details]
/tmp/syslog

list-harddrive:

hde3 has a 0 raid signature and windows parts

Comment 9 Jeremy Katz 2004-04-13 19:26:33 UTC
Aha, I see what it is.  Fixed in CVS

Comment 10 Mick Bailey 2004-04-14 02:07:28 UTC
Wonderful!  Is it possible to patch the installation CD with the
modified code, ir should I wait for Test 3?


Note You need to log in before you can comment on or make changes to this bug.